Skip to main content

 

Druva Documentation

Upgrade prerequisites

Compatible inSync Private Cloud Versions

You can upgrade to inSync Private Cloud 5.3.1 from versions 5.0.1 and later.

Note: The High Availability feature, introduced with version 5.2, is not supported for storages optimized for "Disk space savings". The High Availability feature is available for all your storages that were optimized for "Performance".

Prerequisites of upgrading the Master Server

Hardware prerequisites

This table lists the hardware prerequisites for installing Master server. 

Hardware Minimum Requirement
CPU 64-bit, dual core processor
RAM 8 GB
Network card 10/100 Mbps fast Ethernet adapter
Disk space 125 MB for installing Master server

Software prerequisites

This table lists the software prerequisites for installing Master server. 

Software Requirement
Operating System
  • Windows Server 2008 R2 Service Pack 1 (64-bit)
  • Windows Server 2012 R2 (64-bit)
  • Ubuntu 12.04 (64-bit)
  • Red Hat Enterprise Linux (RHEL) 6.4 (64-bit)
Database

MySQL version 5 or later. 

There must be at least one user with all privileges on the MySQL database that can be used while configuring inSync Master server. 

Note: Druva recommends MySQL 5.5.24 on Windows or Ubuntu, and MySQL 5.5 for RHEL. 

For a full set of installation instructions, see the MySQL Documentation

 

Web browser
  • Internet Explorer 8 or later
  • Firefox 21 or later
  • Safari 5.1 or later
  • Chrome 25 or later

Prerequisites for upgrading a storage node

Hardware prerequisites

This table lists the hardware prerequisites for installing a storage node. 

Hardware Minimum Requirement
CPU 64-bit, quad core processor
RAM 8 GB or 4 GB per TB of storage, whichever is higher. The actual requirement may vary depending on your setup.
Disk space 125 MB for installing inSync storage node

Software prerequisites

This table lists the software prerequisites for installing a storage node. 

Hardware Minimum Requirement
Operating system
  • Windows 2008 R2 SP1 (64-bit)
  • Windows 2012 Server (64-bit)
  • Ubuntu 12.04 (64-bit)
  • RHEL 6.3 (64-bit)

  • Was this article helpful?